Skip to main content
GET
/
links
/
{id}
Get link
curl --request GET \
  --url https://api.linkutm.com/api/v1/links/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "lnk_01hx9ab3cd4ef5gh6ij7kl",
  "shortCode": "spring-sale",
  "shortUrl": "https://telzi.com/spring-sale",
  "url": "https://example.com/landing",
  "title": "Spring Campaign",
  "description": "<string>",
  "utmSource": "newsletter",
  "utmMedium": "email",
  "utmCampaign": "spring-2025",
  "utmTerm": "<string>",
  "utmContent": "<string>",
  "password": "<string>",
  "expiresAt": "2025-12-31T00:00:00Z",
  "fallbackUrl": "<string>",
  "clickLimit": 1000,
  "clicks": 42,
  "archived": false,
  "folderId": "<string>",
  "workspaceId": "ws_01hx9ab3cd4ef5gh6ij7kl",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT token obtained from /auth/login.

Path Parameters

id
string
required

Link ID.

Response

Link object

id
string
Example:

"lnk_01hx9ab3cd4ef5gh6ij7kl"

shortCode
string
Example:

"spring-sale"

shortUrl
string
Example:

"https://telzi.com/spring-sale"

url
string
Example:

"https://example.com/landing"

title
string | null
Example:

"Spring Campaign"

description
string | null
utmSource
string | null
Example:

"newsletter"

utmMedium
string | null
Example:

"email"

utmCampaign
string | null
Example:

"spring-2025"

utmTerm
string | null
utmContent
string | null
password
string | null
expiresAt
string<date-time> | null
Example:

"2025-12-31T00:00:00Z"

fallbackUrl
string | null
clickLimit
integer | null
Example:

1000

clicks
integer
Example:

42

archived
boolean
Example:

false

folderId
string | null
workspaceId
string
Example:

"ws_01hx9ab3cd4ef5gh6ij7kl"

createdAt
string<date-time>
updatedAt
string<date-time>